/*
 * $Id: ChangeLog 9312 2008-09-05 00:08:34Z vszakats $
 */

/* Use this format for the entry headers:
   YYYY-MM-DD HH:MM UTC[-|+]hhmm Your Full Name <your_email@address>
   For example:
   2002-12-01 23:12 UTC+0100 Foo Bar <foo.bar@foobar.org>
*/

2007-09-16 22:28 UTC+0200 Francesco Saverio Giudice <info/at/fsgiudice.com>
  * contrib/gd/source/gdwrp.c
    * cleaned some comments
  * contrib/gd/ChangeLog
    * adjusted time of previous commit

2007-09-16 22:25 UTC+0200 Francesco Saverio Giudice <info/at/fsgiudice.com>
  * contrib/gd/source/gdwrp.c
    * changed pointers handling, thanks to Przemek for code

2007-04-05 10:00 UTC+0200 Lorenzo Fiorini <lorenzo.fiorini/at/gmail.com>
  * ported from xHarbour/contrib/gd
    * changed name of the lib from gdlib to hbgd
    * changed dirs and make files
	 * deleted some files
	 * changed images
	 * changed C and prg for Harbour

2006-03-28 14:06 UTC-0300 Laverson Espindola <laverson.espindola@newage-software.com.br>
  * contrib/gd/source/gdbarcode.prg
  * contrib/gd/source/gdbar.prg
    + added method to create barcode of the type 2 of 5
  * contrig/gd/samples/barcode/bartest.prg
    + added sample to use barcode of the type 2 of 5

2006-03-21 00:38 UTC+0100 Francesco Saverio Giudice <info/at/fsgiudice.com>
  * contrib/gd/rules.make
  * contrib/gd/make_vc.bat
    * fixed make files

  * contrib/gd/source/gdwrp.c
    * fixed linux compilation to align to gd ver. 2.0.28

2006-03-12 23:15 UTC+0100 Francesco Saverio Giudice <info/at/fsgiudice.com>
  * contrib/gd/make_b32.bat
  * contrib/gd/makefile.bc
    * fixed BCC compilation

2006-01-21 01:45 UTC+0100 Francesco Saverio Giudice <info@fsgiudice.com>
  * contrib/gd/source/gd.prg
    + added functions:
      gdImageToString( oImage ) -> cImageString
        return a string containing binary image
        check oImage:cType for image type: jpeg, gif or png
      gdImageToFile( oImage, cFileName ) -> NIL
        Create an image file (as cFileName + "." + oImage:cType)

  * contrib/gd/source/gdimage.prg
    + added ToString() method, this choose right ToString*() method reading cType property
    + added ToFile( cFile ) method, this choose right ToString*() method reading cType property
      and create an image file

  + contrib/gd/include/gdexternal.ch
    external gd functions declaration

  + contrib/gd/tests/tostring.prg
    sample for tostring() and SaveToFile() methods

2006-01-08 23:28 UTC+0100 Francesco Saverio Giudice <info@fsgiudice.com>
  * contrib/gd/source/gdwrp.c
    + added save image to string
  * contrib/gd/source/gdimage.prg
    + added ToString*() methods, fixed Output*() methods

  /*
    Now it is possible to get an image into a string using ToString*() methods.
    Sample:
      oImage := GDImage( 200, 200 )
      ....
      cImage := oImage:ToStringJPeg()
  */

2006-01-08 02:47 UTC+0100 Francesco Saverio Giudice <info@fsgiudice.com>
  * contrib/gd/source/gdwrp.c
    * fixed error + formatting
  * contrib/gd/source/gd.prg
    * fixed gdImageFromFile()

2005-12-26 23:16 UTC+0100 Francesco Saverio Giudice <info@fsgiudice.com>
  * contrib/gd/source/gdwrp.c
    * fixed error parameters number

2005-12-26 22:58 UTC+0100 Francesco Saverio Giudice <info@fsgiudice.com>
  * contrib/gd/source/gdwrp.c
    * gdImageStringFTEx
      + added new parameters: linespacing (default 1.05)
                              charmap     (default gdFTEX_Unicode)
                              resolution  (default 96 dpi)
  * contrib/gd/source/gd.prg
    * changed gdImageStringFT accordling with new parameters
  * contrib/gd/source/gdimage.prg
    * changed SayFreeType() method accordling with new parameters
  + contrib/gd/tests/testdpi.prg
    + added sample showing dpi changes
  * contrib/gd/include/gd.h
    * minor formatting

  /*
    Added new parameters not handled before to alter dpi in string drawing
    As per request of Rene Gladis
   */

2005-12-12 14:06 UTC-0300 Laverson Espindola <laverson.espindola@newage-software.com.br>
  * source\gdbar.prg
    ! Added new parameters <cpath_img> in construtor class TCode
      default "image_bar/", to output image, this suggestion from Francesco Saverio Giudice.

2005-12-09 18:30 UTC-0300 Laverson Espindola <laverson.espindola@newage-software.com.br>
  * source\gdwrp.c
    ! Added missing castings to make MSVC happy
  * make_vc.bat
  * makefile.nt
    + Added MSVC building files
  * makemsvcimport.bat
    + Utility to create import lib from GD DLL
  * source\gdbar.prg
  * source\gdbarcode.prg
    + Added barcode generation routines
  * samples\barcode\bartest.prg
  * samples\barcode\bldtest.bat
  * samples\barcode\bldtestvc.bat
    + Added barcode sample
  * readme.txt
  * makefile.bc
    ! Updated with BarCode stuff

2005-11-07 01:37 UTC+0100 Francesco Saverio Giudice <info@fsgiudice.com>

  * contrib/gd/readme.txt
    * updated

2005-11-07 00:15 UTC+0100 Francesco Saverio Giudice <info@fsgiudice.com>

  * contrib/gd/source/gdwrp.c
    + added gdImageGifAnimBegin, gdImageGifAnimAdd, gdImageGifAnimEnd

  + contrib/gd/tests/animgif.prg
    + test of gdImageGifAnim*() functions

  /* Added Animated GIF functions ! */

2005-11-06 16:48 UTC+0100 Francesco Saverio Giudice <info@fsgiudice.com>

  * contrib/gd/source/gdwrp.c
    + added GTIMAGECREATEPALETTE as alias of GDIMAGECREATE
  + contrib/gd/tests/antialiased.prg
    + test of gdImageSetAntiAliased() function
      thanks to Jorge Mason for requesting it

2005-10-31 01:37 UTC+0100 Francesco Saverio Giudice <info@fsgiudice.com>

  + contrib/gd/rules.make
    * reverted. file needed

2005-10-31 01:20 UTC+0100 Francesco Saverio Giudice <info@fsgiudice.com>

  * contrib/gd/source/gdwrp.c
  * contrib/gd/source/gdimage.prg
  * contrib/gd/source/gd.prg
    * fixed some warnings

  * contrib/gd/include/gd.h
  * contrib/gd/include/gd.ch
  * contrib/gd/source/gdimage.c
  * contrib/gd/source/gdwrp.c
    * guarded gd version.
      for linux gd last version is 2.0.28 (i.e. Fedora Core 3)
      for windows gd last version is 2.0.33
      if your distribution is different please update header files
      this is needed because some functions are missing in 2.0.28

  - contrib/gd/rules.make
  - contrib/gd/test/Makefile
  - contrib/gd/test/Makefile.linux
  - contrib/gd/test/Makefile.mingw32
  + contrib/gd/test/bldtest.sh
  + contrib/gd/test/dll_b32.bat
  + contrib/gd/test/dll_b32.mak
  + contrib/gd/samples/counter/bldtest.sh
  + contrib/gd/samples/counter/dll_b32.bat
  + contrib/gd/samples/counter/dll_b32.mak
  * contrib/gd/README.txt

    * updated compilation batches for windows dll and linux

      now for windows: bldtest gdtest (full static)
                       dll_b32 gdtest (dll version - needs harbour.dll)
          for linux  : . bldtest.sh gdtest

2005-10-30 02:32 UTC+0200 Francesco Saverio Giudice <info@fsgiudice.com>

  * contrib/gd/source/gdwrp.c
    * replaced
        im = hb_itemGetPtr( hb_param( 1, HB_IT_POINTER ) );
      with
        im = hb_parptr( 1 );
      and
        im_handle = hb_itemPutPtr( NULL, ( BYTE *) im );
        hb_itemReturn(im_handle);
        hb_itemRelease(im_handle);
      with
        hb_retptr( im )

2005-10-25 18:07 UTC+0200 Francesco Saverio Giudice <info@fsgiudice.com>

  * contrib/gd/make_b32.bat
    * fixed bgd.dll name
      (thanks to Dener)

2005-10-25 10:31 UTC+0200 Francesco Saverio Giudice <info@fsgiudice.com>

  - contrib/gd/bgd.dll
  + contrib/gd/bgd.dll_download.url
    * removed from bgd.dll from CVS 2.9 MB (sorry)
      and added a link to gdwin32.zip from Thomas Boutell's website
      to download it.
  * contrib/gd/README.txt
    * updated
  * contrib/gd/make_b32.bat
    * check if bgd.dll exists

2005-10-25 02:43 UTC+0200 Francesco Saverio Giudice <info@fsgiudice.com>

  * contrib/gd/tests/gdtest.prg
  * contrib/gd/tests/gdtestcls.prg
    * some fixes

  * contrib/gd/README.txt
    * updated

  + contrib/gd/samples
    + added a samples directory

  + contrib/gd/samples/counter/bldtest.bat
  + contrib/gd/samples/counter/counter.prg
  + contrib/gd/samples/counter/digits
  + contrib/gd/samples/counter/digits/57chevy.gif
  + contrib/gd/samples/counter/digits/7seg.gif
  + contrib/gd/samples/counter/digits/brsd.gif
  + contrib/gd/samples/counter/digits/digib.gif
  + contrib/gd/samples/counter/digits/digitmania.url
  + contrib/gd/samples/counter/digits/fdb.gif
  + contrib/gd/samples/counter/digits/jelly.gif
  + contrib/gd/samples/counter/digits/odb.gif
  + contrib/gd/samples/counter/digits/odw.gif
  + contrib/gd/samples/counter/digits/pdg.gif
  + contrib/gd/samples/counter/digits/pdw.gif
    + added a counter sample

  /*
    A first sample: an image counter
    to build: bldtest counter
    to run:   counter
        to have a random number using 57chevy.gif as base image
        or:   counter 372647 odb.gif
        to have a fixed number with odb.gif as base image

    base images from digitmania

    Enjoy!

    Francesco

  */

2005-10-25 01:14 UTC+0200 Francesco Saverio Giudice <info@fsgiudice.com>

  * contrib/gd/tests/bldtest.bat
    * fixed build error

2005-10-25 01:02 UTC+0200 Francesco Saverio Giudice <info@fsgiudice.com>

  * contrib/gd/tests/gdtest.prg
  * contrib/gd/tests/gdtestcls.prg
    * added output directory check and create if not exists

2005-10-24 15:10 UTC+0200 Francesco Saverio Giudice <info@fsgiudice.com>

  + contrib/gd

    + /bgd.dll
    + /rules.make
    + /Makefile
    + /make_b32.bat
    + /makefile.bc
    + /readme.txt
    + /ChangeLog
    + /doc/entities.html
    + /doc/GD Graphics Library.url
    + /doc/gd-license.txt
    + /doc/gdlib.txt
    + /doc/index.html
    + /doc/libfreetype-license.txt
    + /doc/libjpeg-license.txt
    + /doc/libpng-license.txt
    + /doc/win32-readme.txt
    + /doc/zlib-license.txt
    + /env/makeb32.env
    + /env/makelib.b32
    + /env/bccwin32.mak
    + /include/gd.h
    + /include/gdcache.h
    + /include/gdfontg.h
    + /include/gdfontl.h
    + /include/gdfontmb.h
    + /include/gdfonts.h
    + /include/gdfontt.h
    + /include/gdfx.h
    + /include/gdhelpers.h
    + /include/gd_io.h
    + /include/jisx0208.h
    + /include/wbmp.h
    + /include/gd.ch
    + /source/gd.prg
    + /source/gdchart.prg
    + /source/Makefile
    + /source/gdwrp.c
    + /source/gdimage.prg
    + /tests/images_in
    + /tests/images_out
    + /tests/Makefile
    + /tests/Makefile.linux
    + /tests/Makefile.mingw32
    + /tests/setfont.bat
    + /tests/bldtest.bat
    + /tests/test_out.prg
    + /tests/gdtest.prg
    + /tests/gdtestcls.prg
    + /tests/images_in/xharbour.jpg
    + /tests/images_in/italia.gif
    + /tests/images_in/fsg.jpg
    + /tests/images_out/

    + first upload

 /*
    please look at readme.txt
 */
